<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sqx.modules.callback.mapper.UniAdCallbackRecordMapper">

    <resultMap id="BaseResultMap" type="com.sqx.modules.callback.entity.UniAdCallbackRecord">
            <id property="id" column="id" jdbcType="INTEGER"/>
            <result property="userId" column="user_id" jdbcType="INTEGER"/>
            <result property="platform" column="platform" jdbcType="VARCHAR"/>
            <result property="transId" column="trans_id" jdbcType="VARCHAR"/>
            <result property="adpid" column="adpid" jdbcType="VARCHAR"/>
            <result property="provider" column="provider" jdbcType="VARCHAR"/>
            <result property="sign" column="sign" jdbcType="VARCHAR"/>
            <result property="extra" column="extra" jdbcType="VARCHAR"/>
            <result property="isEnded" column="is_ended" jdbcType="TINYINT"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,user_id,platform,
        trans_id,adpid,provider,
        sign,extra,is_ended,
        create_time
    </sql>
</mapper>
